content/operate/rs/references/rest-api/requests/ocsp/_index.md
| Method | Path | Description |
|---|---|---|
| GET | /v1/ocsp | Get OCSP configuration |
| PUT | /v1/ocsp | Update OCSP configuration |
GET /v1/ocsp
Gets the cluster's OCSP configuration.
| Permission name |
|---|
| [view_ocsp_config]({{< relref "/operate/rs/references/rest-api/permissions#view_ocsp_config" >}}) |
GET /v1/ocsp
| Key | Value | Description |
|---|---|---|
| Host | cnm.cluster.fqdn | Domain name |
| Accept | application/json | Accepted media type |
Returns an [OCSP configuration object]({{< relref "/operate/rs/references/rest-api/objects/ocsp" >}}).
{
"ocsp_functionality": true,
"responder_url": "http://responder.ocsp.url.com",
"query_frequency": 3800,
"response_timeout": 2,
"recovery_frequency": 80,
"recovery_max_tries": 20
}
When errors occur, the server returns a JSON object with error_code and message fields that provide additional information. The following are possible error_code values:
| Code | Description |
|---|---|
| ocsp_unsupported_by_capability | Not all nodes support OCSP capability |
| Code | Description |
|---|---|
| 200 OK | Success |
| 406 Not Acceptable | Feature not supported in all nodes |
PUT /v1/ocsp
Updates the cluster's OCSP configuration.
| Permission name |
|---|
| [config_ocsp]({{< relref "/operate/rs/references/rest-api/permissions#config_ocsp" >}}) |
PUT /v1/ocsp
{
"ocsp_functionality": true,
"query_frequency": 3800,
"response_timeout": 2,
"recovery_frequency": 80,
"recovery_max_tries": 20
}
| Key | Value | Description |
|---|---|---|
| Host | cnm.cluster.fqdn | Domain name |
| Accept | application/json | Accepted media type |
Include an [OCSP configuration object]({{< relref "/operate/rs/references/rest-api/objects/ocsp" >}}) with updated fields in the request body.
Returns the updated [OCSP configuration object]({{< relref "/operate/rs/references/rest-api/objects/ocsp" >}}).
When errors occur, the server returns a JSON object with error_code and message fields that provide additional information. The following are possible error_code values:
| Code | Description |
|---|---|
| invalid_schema | An illegal parameter or a parameter with an illegal value |
| no_responder_url | Tried to enable OCSP with no responder URL configured |
| ocsp_unsupported_by_capability | Not all nodes support OCSP capability |
| Code | Description |
|---|---|
| 200 OK | Success, OCSP config has been set |
| 400 Bad Request | Bad or missing configuration parameters |
| 406 Not Acceptable | Feature not supported in all nodes |